MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028644Open CASCADE[OCCT] OCCT:Visualizationpublic2017-04-08 15:002017-05-12 11:36
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.2.0Fixed in Version 
Summary0028644: Visualization, AIS_MultipleConnectedInteractive - remove unused private class SelectMgr_AssemblyEntityOwner
DescriptionCompiler says:
/occt/src/AIS/AIS_MultipleConnectedInteractive.cxx|75|warning: ‘{anonymous}::SelectMgr_AssemblyEntityOwner::SelectMgr_AssemblyEntityOwner(opencascade::handle<SelectMgr_EntityOwner>, 
SelectMgr_SelectableObject*)’ defined but not used [-Wunused-function]|

and indeed, this class is never used since 0024623
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024623closedbugmaster Visualization - improve selection mechanism 

-  Notes
(0065066)
git (administrator)
2017-04-08 15:05

Branch CR28644 has been created by kgv.

SHA-1: 3d35c862480a1c584a85ae33c13a7c1e93712f20


Detailed log of new commits:

Author: kgv
Date: Sat Apr 8 15:03:18 2017 +0300

    0028644: Visualization, AIS_MultipleConnectedInteractive - remove unused private class SelectMgr_AssemblyEntityOwner
(0065067)
kgv (developer)
2017-04-08 15:05

Patch is ready for review.
(0065128)
apl (developer)
2017-04-11 12:55

Dear bugmaster,

Please test the patch
(0065158)
mkv (tester)
2017-04-11 20:26

Dear BugMaster,
Branch CR28644 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 3d35c862480a1c584a85ae33c13a7c1e93712f20

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1202

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91763906 / 91371554 [+0.43%]
Total CPU difference: 19882.580000000435 / 19613.34000000024 [+1.37%]
products component :
Total MEMORY difference: 30816102 / 30770563 [+0.15%]
Total CPU difference: 5387.369999999989 / 5358.419999999984 [+0.54%]
Testing on Windows:
occt component :
Total MEMORY difference: 57857902 / 57855806 [+0.00%]
Total CPU difference: 18628.578613198544 / 18063.40259029849 [+3.13%]
products component :
Total MEMORY difference: 22295378 / 22257195 [+0.17%]
Total CPU difference: 5467.772649599969 / 5313.206858799958 [+2.91%]

There are no differences in images found by testdiff.
(0065159)
mkv (tester)
2017-04-11 20:27

Dear BugMaster,
Branch CR28644 is TESTED.
(0065964)
git (administrator)
2017-05-12 11:36

Branch CR28644 has been deleted by kgv.

SHA-1: 3d35c862480a1c584a85ae33c13a7c1e93712f20

- Related Changesets
occt: master 003281f4
Timestamp: 2017-04-08 12:03:18
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028644: Visualization, AIS_MultipleConnectedInteractive - remove unused private class SelectMgr_AssemblyEntityOwner
mod - src/AIS/AIS_MultipleConnectedInteractive.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-04-08 15:00 kgv New Issue
2017-04-08 15:00 kgv Assigned To => kgv
2017-04-08 15:00 kgv Relationship added related to 0024623
2017-04-08 15:05 git Note Added: 0065066
2017-04-08 15:05 kgv Note Added: 0065067
2017-04-08 15:05 kgv Assigned To kgv => san
2017-04-08 15:05 kgv Severity minor => trivial
2017-04-08 15:05 kgv Status new => resolved
2017-04-08 15:05 kgv Product Version 7.1.0 => 6.9.0
2017-04-11 12:46 kgv Assigned To san => apl
2017-04-11 12:55 apl Note Added: 0065128
2017-04-11 12:55 apl Assigned To apl => bugmaster
2017-04-11 12:55 apl Status resolved => reviewed
2017-04-11 13:19 mkv Assigned To bugmaster => mkv
2017-04-11 20:26 mkv Note Added: 0065158
2017-04-11 20:27 mkv Note Added: 0065159
2017-04-11 20:27 mkv Assigned To mkv => bugmaster
2017-04-11 20:27 mkv Status reviewed => tested
2017-04-11 20:27 mkv Test case number => Not needed
2017-04-14 14:28 bugmaster Changeset attached => occt master 003281f4
2017-04-14 14:28 bugmaster Status tested => verified
2017-04-14 14:28 bugmaster Resolution open => fixed
2017-05-12 11:36 git Note Added: 0065964


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker